# Refer to base/logging/zoox_logger.py (`ZooxLogger.configure_logging`) for
# runtime calculation of default values.

[loggers]
keys=root

[handlers]
keys=fileHandler,streamHandler

[formatters]
keys=defaultFormatter

[logger_root]
# The default log level should be set by the `ZOOX_LOGGER_LEVEL` environment
# variable, or defaulted to `INFO`.
level=NOTSET
handlers=streamHandler,fileHandler

[handler_fileHandler]
class=handlers.RotatingFileHandler
formatter=defaultFormatter
# log filename, mode, maxBytes, backupCount
args=(os.path.join(os.getenv('PYTHON_LOG_DIR','/tmp'),'%(logfilename)s.%(hostname)s.%(username)s.log.%(timestamp)s'),'a', 50000000, 4)

[handler_streamHandler]
class=base.logging.colorized_stream_handler.ColorizedStreamHandler
formatter=defaultFormatter
# colorize=True, info_to_stderr=True
args=(True,True)

[formatter_defaultFormatter]
class=base.logging.glog_formatter.GlogFormatter
